#$id: "https://myome.com/schemas/v1/Product.json"
$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Product"
type: "object"

properties:
  product_id:
    $ref: '../ids.json#/definitions/ProductId'
  product_family:
    type:
      string
  version:
    $ref: '../core.json#/definitions/Version'
  name:
    type:
      string
    description: >-
      A short human-readable name of the product
  description:
    description: A short human-readable description of the product (one-line)
    type: string
  long_description:
    description: A longer human-readable description of the product (>=1 paragraphs)
    type: string
  disclaimers:
    type: array
  methods:
    type:
      array
  limitations:
    type:
      array
  workflow_id:
    $ref: '../ids.json#/definitions/WorkflowId'
  workflow_config:
    type: object
    description: The configuration to pass when creating the workflow
    default: {}

required:
  - product_id
  - name
  - product_family
  - workflow_id


examples:
  - product_id: GEISINGER_PGR_SF_ACMG59
    name: Geisinger Personal Genome Report, ACMG59 Secondary Findings
    description: Geisinger Personal Genome Report with ACMG59 secondary findings
    product_family: 1009
